%global githash g0d9d058
%global foldhash 5e52ede

Name:           jdependency
Version:        0.7
Release:        1%{?dist}
Summary:        This project provides an API to analyse class dependencies

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://github.com/tcurdt/jdependency
# wget http://github.com/tcurdt/jdependency/tarball/jdependency-0.7
Source0:        tcurdt-jdependency-jdependency-%{version}-0-%{githash}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires:     maven
#BuildRequires:     maven2-common-poms
BuildRequires:     maven-compiler-plugin
BuildRequires:     maven-install-plugin
BuildRequires:     maven-jar-plugin
BuildRequires:     maven-javadoc-plugin
BuildRequires:     maven-resources-plugin
BuildRequires:     maven-surefire-plugin
BuildRequires:     maven-idea-plugin

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  objectweb-asm
BuildRequires:  apache-commons-io
Requires:  objectweb-asm >= 3.2
Requires:  apache-commons-io
Requires:  java

Requires(post):    jpackage-utils
Requires(postun):  jpackage-utils


%description
jdependency is small library that helps you analyze class level 
dependencies, clashes and missing classes.

%package javadoc
Group:          Documentation
Summary:        API documentation for %{name}
Requires:       jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q -n tcurdt-jdependency-%{foldhash}

%build
mvn-rpmbuild -Dmaven.test.failure.ignore=true \
    install javadoc:javadoc

%install
rm -rf %{buildroot}

# Jar
mkdir -p %{buildroot}%{_javadir}
install -Dpm 644  target/%{name}-%{version}.jar  \
    %{buildroot}%{_javadir}/%{name}.jar


# Javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/
rm -rf target/site/api*


# poms
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-jdependency.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt README.md

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog
* Tue Dec 13 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.7-1
- Update to 0.7
- Fix BR to not require maven2
- Fix BR for new package name
- Adjust spec to new guidelines

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 14 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6-3
- Add license to javadoc subpackage
- Change jakarta-commons-io for apache-commons-io
- Add BR to maven 

* Thu Oct 14 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6-2
- Rename from vafer-jdependency to jdependency alone

* Thu Oct 14 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6-1
- Initial package
